﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using PickerRendererSample.WinPhone;
using Xamarin.Forms;
using Xamarin.Forms.Platform.WinPhone;

[assembly: ExportRenderer(typeof(Picker), typeof(CustomPickerRenderer))]
namespace PickerRendererSample.WinPhone
{
	public class CustomPickerRenderer : PickerRenderer
	{
		protected override void OnElementPropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
		{
			base.OnElementPropertyChanged(sender, e);

			switch (e.PropertyName)
			{
				case "Renderer":
					this.Control.ItemTemplate = (System.Windows.DataTemplate)App.Current.Resources["ListItemTemplate"];
					this.Control.FullModeItemTemplate = (System.Windows.DataTemplate)App.Current.Resources["ListItemTemplate"];
					this.Control.Foreground = new System.Windows.Media.SolidColorBrush(System.Windows.Media.Colors.Black);
					this.Control.Items.Clear();
					this.Control.ItemsSource = this.Element.Items;
					break;
			}
		}
	}
}
